summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author pyllyukko2024-03-13 00:43:49 +0100
committer Willy Sudiarto Raharjo2024-03-13 00:49:48 +0100
commit2ba7a4254380c4a74f5475e2f37f1047d7c299c9 (patch)
tree8c71aa49300720507dcc35327f2f8b4b309acf6c /ham
parent1538f1a6573a17c53c3d3ef05a562dc46a827915 (diff)
downloadslackbuilds-2ba7a4254380c4a74f5475e2f37f1047d7c299c9.tar.gz
ham/rtl_433: Added (decode radio transmissions).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/rtl_433/README7
-rw-r--r--ham/rtl_433/doinst.sh11
-rw-r--r--ham/rtl_433/rtl_433.SlackBuild113
-rw-r--r--ham/rtl_433/rtl_433.info10
-rw-r--r--ham/rtl_433/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/ham/rtl_433/README b/ham/rtl_433/README
new file mode 100644
index 0000000000..a8e7f3092b
--- /dev/null
+++ b/ham/rtl_433/README
@@ -0,0 +1,7 @@
+rtl_433 (despite the name) is a generic data receiver, mainly for the
+433.92 MHz, 868 MHz (SRD), 315 MHz, 345 MHz, and 915 MHz ISM bands.
+
+It works with RTL-SDR and/or SoapySDR. Actively tested and supported are
+Realtek RTL2832 based DVB dongles (using RTL-SDR) and LimeSDR (LimeSDR
+USB and LimeSDR mini engineering samples kindly provided by MyriadRf),
+PlutoSDR, HackRF One (using SoapySDR drivers), as well as SoapyRemote.
diff --git a/ham/rtl_433/doinst.sh b/ham/rtl_433/doinst.sh
new file mode 100644
index 0000000000..2dd0059991
--- /dev/null
+++ b/ham/rtl_433/doinst.sh
@@ -0,0 +1,11 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+shopt -s nullglob
+for i in etc/rtl_433/*.conf.new; do config "${i}"; done
diff --git a/ham/rtl_433/rtl_433.SlackBuild b/ham/rtl_433/rtl_433.SlackBuild
new file mode 100644
index 0000000000..af02a40330
--- /dev/null
+++ b/ham/rtl_433/rtl_433.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for rtl_433
+
+# Copyright pyllyukko 2024
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=rtl_433
+VERSION=${VERSION:-23.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ sed -i 's:\(${CMAKE_INSTALL_PREFIX}\)/share:\1:' cmake_install.cmake
+ sed -i 's:${CMAKE_INSTALL_PREFIX}\(/etc/rtl_433\):\1:' conf/cmake_install.cmake
+ make install/strip DESTDIR=$PKG
+cd ..
+
+for i in $( find $PKG/etc/rtl_433 -type f -name '*.conf' ) ; do mv -v "${i}" "${i}.new" ; done
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGELOG.md COPYING README.md docs examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ham/rtl_433/rtl_433.info b/ham/rtl_433/rtl_433.info
new file mode 100644
index 0000000000..1d67799999
--- /dev/null
+++ b/ham/rtl_433/rtl_433.info
@@ -0,0 +1,10 @@
+PRGNAM="rtl_433"
+VERSION="23.11"
+HOMEPAGE="https://triq.org/"
+DOWNLOAD="https://github.com/merbanan/rtl_433/archive/23.11/rtl_433-23.11.tar.gz"
+MD5SUM="db953e654333d0a00225c7a23e30b809"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="rtl-sdr"
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko@maimed.org"
diff --git a/ham/rtl_433/slack-desc b/ham/rtl_433/slack-desc
new file mode 100644
index 0000000000..0f34f740c1
--- /dev/null
+++ b/ham/rtl_433/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rtl_433: rtl_433 (generic RF data receiver and decoder)
+rtl_433:
+rtl_433: rtl_433 (despite the name) is a generic data receiver, mainly for the
+rtl_433: 433.92 MHz, 868 MHz (SRD), 315 MHz, 345 MHz, and 915 MHz ISM bands.
+rtl_433:
+rtl_433: It works with RTL-SDR and/or SoapySDR.
+rtl_433: Actively tested and supported are Realtek RTL2832 based DVB dongles
+rtl_433: (using RTL-SDR) and LimeSDR (LimeSDR USB and LimeSDR mini engineering
+rtl_433: samples kindly provided by MyriadRf), PlutoSDR, HackRF One
+rtl_433: (using SoapySDR drivers), as well as SoapyRemote.
+rtl_433: